var system = require("../../../system")
const CtlBase = require("../../ctlms.base");
class TradeCtl extends CtlBase {
  constructor() {
    super();
    this.tradeSve = system.getObject("service.trade.tradeSve");
  }

  async parseItems(params, pobj2, req) {
    try {
      params.fileName = req.loginUser.id;
      return await this.tradeSve.parseItems(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }

}
module.exports = TradeCtl;